<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zm.order.tool.server.tempdb.ChenUserDao">

    <resultMap id="ResultMap" type="com.zm.order.tool.server.model.ChenUser">
        <id column="id" jdbcType="BIGINT" property="id"/>
        <result column="mobile_phone" jdbcType="VARCHAR" property="mobilePhone"/>
    </resultMap>

    <sql id="tb">
        customer_base
    </sql>

    <sql id="cols_all">
        id,
        mobile_phone
    </sql>

    <select id="selectList" parameterType="list" resultMap="ResultMap">
        select
        <include refid="cols_all"/>
        from
        <include refid="tb"/>
        <where>
            mobile_phone in
            <foreach collection="mobileList" item="mobile" index="index" open="(" close=")" separator=",">
                #{mobile}
            </foreach>
        </where>
    </select>
</mapper>